__gnu_cxx::encoding_state(3)

NAME
__gnu_cxx::encoding_state - Extension to use iconv for dealing with character encodings.

SYNOPSIS

  Public Types
typedef iconv_t descriptor_type

  Public Member Functions
encoding_state (const char *__int, const char *__ext, int __ibom=0, int __ebom=0, int __bytes=1)
encoding_state (const encoding_state &__obj)
int character_ratio () const
int external_bom () const
const std::string external_encoding () const
bool good () const throw ()
const descriptor_type & in_descriptor () const
int internal_bom () const
const std::string internal_encoding () const
encoding_state & operator= (const encoding_state &__obj)
const descriptor_type & out_descriptor () const

  Protected Member Functions
void construct (const encoding_state &__obj)
void destroy () throw ()
void init ()

  Protected Attributes
int _M_bytes
int _M_ext_bom
std::string _M_ext_enc
descriptor_type _M_in_desc
int _M_int_bom
std::string _M_int_enc
descriptor_type _M_out_desc

Detailed Description

Extension to use iconv for dealing with character encodings.

Definition at line 51 of file codecvt_specializations.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.